#ifndef DEBTAGS_MAINTAINER_H
#define DEBTAGS_MAINTAINER_H

#pragma interface

#include <string>

namespace Debtags
{

class AvailableReader;
class Package;
class PackageSet;
class MaintainerSet;
class MaintainerImpl;
class StandardEnvironment;

class Maintainer
{
protected:
	MaintainerImpl* impl;

public:
	Maintainer() throw ();
	explicit Maintainer(const std::string& email) throw ();
	Maintainer(const Maintainer& f) throw ();
	~Maintainer() throw ();
	Maintainer& operator=(const Maintainer& f) throw ();

	bool operator==(const Maintainer& f) const throw ();
	bool operator<(const Maintainer& f) const throw ();

	operator bool() const throw ();

	const std::string& email() const throw ();
	const std::string& fullname() const throw ();

	const PackageSet& packages() const throw ();

	void addPackage(const Package& pkg) const throw ();
	void fullname(const std::string& fullname) throw ();
};

};

// vim:set ts=3 sw=3:
#endif
